### Method

# Gtk TextBuffer delete_interactive

#### Declaration [src]

    gboolean
    gtk_text_buffer_delete_interactive (
      GtkTextBuffer* buffer,
      GtkTextIter* start_iter,
      GtkTextIter* end_iter,
      gboolean default_editable
    )

#### Description [src]

Deletes all editable text in the given range.

Calls gtk_text_buffer_delete() for each editable sub-range of [`start`,`end`). `start` and `end` are revalidated to point to the location of the last deleted range, or left untouched if no text was deleted.

#### Parameters

`start_iter` | `GtkTextIter`
| Start of range to delete.
| The data is owned by the caller of the function.
`end_iter` | `GtkTextIter`
| End of range.
| The data is owned by the caller of the function.
`default_editable` | `gboolean`
| Whether the buffer is editable by default.

#### Return value

Returns: | `gboolean`
| Whether some text was actually deleted.